summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-11-30 07:57:59 +0100
committerHans de Graaff <graaff@gentoo.org>2018-11-30 08:05:47 +0100
commitf17b7ae7f7da8a77d579910b5a3ec8cb24a636f5 (patch)
tree8e58d9d83d1712747b5fa93269de0623c98be382 /dev-ruby/activesupport
parentapp-metrics/collectd: add subslot operator on sys-apps/lm_sensors atom (diff)
downloadgentoo-f17b7ae7f7da8a77d579910b5a3ec8cb24a636f5.tar.gz
gentoo-f17b7ae7f7da8a77d579910b5a3ec8cb24a636f5.tar.bz2
gentoo-f17b7ae7f7da8a77d579910b5a3ec8cb24a636f5.zip
dev-ruby/activesupport: add 5.1.6.1
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'dev-ruby/activesupport')
-rw-r--r--dev-ruby/activesupport/Manifest1
-rw-r--r--dev-ruby/activesupport/activesupport-5.1.6.1.ebuild67
2 files changed, 68 insertions, 0 deletions
diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
index 8886948bead..e014378fdc1 100644
--- a/dev-ruby/activesupport/Manifest
+++ b/dev-ruby/activesupport/Manifest
@@ -2,6 +2,7 @@ DIST rails-4.2.10.tgz 4080905 BLAKE2B 5a46ed9e3664a65545a709577b49864e14cecfc89c
DIST rails-5.0.7.tgz 6051560 BLAKE2B d5090b2e6c3fb9b7ca460c7439a94d6633ab7bad3cef42ab23851b0127d6b8cf6a34eb3b967c7c9b7ba5bd1d10e483f4c76a60fc06772d567a258b237a449fe6 SHA512 c3f1b882f4679967597c7ecfa3469e8f1dc52f618d26324b292bcd0ed8c854ec93a7570e12cab8becfb9a7ce04bb7e08f9ad353d35f8cfb954bc2144bf093e55
DIST rails-5.1.4.tgz 6132874 BLAKE2B ec5642b860b7c18cea2c56aa5e2a652e28ab08d39c5863dc4ee66fd3caf375e55706e4317ecae5bfc5581922cf1549c38c22529d2e44a98c84cde332491e49cc SHA512 8f0837e0a2c5b0189375f10310a6e6b43e32f1fecc503582efc6490436c943e774495262e508e4ca1a1874132ae6e4a541e81c06f0d8f6fe8ab85bd2fd10d4fc
DIST rails-5.1.5.tgz 6142269 BLAKE2B e31b6fb39df4a5cbfa9acd31058b018f5eb8d45d0886d9cb1de5d7de9ed082b67f27d257ac8eeffb0a2663466bc958c72d63309f0a68989d189a11510e835e3e SHA512 8fde1b043976c6bd69235ccbfc1f4ab593fa0cb7ec0dc0cbafcbd2727dfd1b405cc6131e41cc40871bc893cc64f524a347dd91efd1816b724deb5ca1cf879c63
+DIST rails-5.1.6.1.tgz 6143808 BLAKE2B 40949c4598af98e177bab19aea809a724135a56aaec66bfdfd820412794f548da195597461d5bd7b6e07bf60a5b6aee330a0a5fdf90bc0b0361b94a80d0684b4 SHA512 118798424ba249c3a7eed3e7174ed4a25d2fb81b8f521e165b2aef995956da7c085084be3dad9961e57e67a685ec3d527c3bfa91730d1053951cdd81b7e511ff
DIST rails-5.1.6.tgz 6142931 BLAKE2B 0c24677946c3421e73903214822a13cb26609a3c7e7826020b76a48809a8672c1dfb05d1bd362fab956a397636db5e691a91bdea64ee6073190e8663fb58a7df SHA512 1ad70fb57af753bb6aff27345021af97d177aed95e295273044d8ef5723aa6b64fc03104d2cbd1cc5337127f71b3eef9b19fa582f4d53cb746ed9b152a8392bb
DIST rails-5.2.0.tgz 9233349 BLAKE2B 8b237f7b039baed6d2a3f19d138f5985443d8543247b01ba316668052fede66820894e3f5ef76a953a4bdb54febecb6299692899556ea029ebfcbcebbaba9409 SHA512 0d7fdbc05a69f7a7b5ce612c0ec8e5dcd51ffb63891d97ca08036d07b3fb3267699dd4a209fd698e5eb2ca8f6c7f4539e86044c3bd15d0c614feda16892d3d85
DIST rails-5.2.1.1.tgz 8795521 BLAKE2B 93b30ba7b9127d2fc4dae6c7e7884f0a4ab36805b440c37ca8e2b81a5ba2b9ccaa4d30e65599cfb036befc4ec58942d3eba71ba9683becb535e8a822d3a8422e SHA512 bd2c13f06d524a03547341acee3422a58a306a1c33a896073648e4ddcac296a8e397bd73fd5928dae1e66ba3b4a42ac4ea5f0a7cca1f73b2e773b8ece24a76d0
diff --git a/dev-ruby/activesupport/activesupport-5.1.6.1.ebuild b/dev-ruby/activesupport/activesupport-5.1.6.1.ebuild
new file mode 100644
index 00000000000..015ed20197e
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-5.1.6.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ >=dev-ruby/concurrent-ruby-1.0.2:1
+ >=dev-ruby/i18n-0.7:* =dev-ruby/i18n-0*:*
+ >=dev-ruby/tzinfo-1.1:1
+ >=dev-ruby/minitest-5.1:5"
+
+# memcache-client, nokogiri, and builder are not strictly
+# needed, but there are tests using this code.
+ruby_add_bdepend "test? (
+ >=dev-ruby/dalli-2.2.1
+ >=dev-ruby/nokogiri-1.4.5
+ >=dev-ruby/builder-3.1.0
+ >=dev-ruby/listen-3.0.5:3
+ dev-ruby/rack
+ dev-ruby/mocha:0.14
+ )"
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|sqlite\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' \
+ -e 's/gemspec/gemspec path: "activesupport"/' \
+ -e '5igem "builder"; gem "rack"' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Avoid test that depends on timezone
+ sed -i -e '/test_implicit_coercion/,/^ end/ s:^:#:' test/core_ext/duration_test.rb || die
+
+ # Avoid tests that seem to trigger race conditions.
+ rm -f test/evented_file_update_checker_test.rb || die
+
+ # Avoid test that generates filename that is too long
+ sed -i -e '/test_filename_max_size/askip "gentoo"' test/caching_test.rb || die
+}